/*

 File: methodbase.h, 2003/06/17

 ACETAF, Version 3.0.1

 Copyright (C) Markus Neher, markus.neher@math.uni-karlsruhe.de
               Ingo Eble,    ingoeble@web.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _METHODBASE_H_INCLUDED
#define _METHODBASE_H_INCLUDED

#include "adaptintval.h"

using Adapt::Interval;

class MethodBase
{
 public:
  
  virtual void operator () (const Interval&,Interval&,Interval&) = 0;
  virtual int identity() const = 0;
  virtual ~MethodBase() {}
};

#endif

/*

  End of File: methodbase.h

*/
